#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.1.0.0
visibility:           public
id:                   ghcide-1.1.0.0-DFBjKd7tKX37WtCxOjTQFB
key:                  ghcide-1.1.0.0-DFBjKd7tKX37WtCxOjTQFB
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:             https://github.com/haskell/ghcide#readme
synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  873c5153448580a0634c76d61490758f
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Compile Development.IDE.Core.Debouncer
    Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.1.0.0
hs-libraries:         HSghcide-1.1.0.0-DFBjKd7tKX37WtCxOjTQFB
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-HcPs6Sps3ue5Ixw8qKDE9o
    aeson-1.5.6.0-43xekt5MhzNIyK7g6pTwyG array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base16-bytestring-1.0.1.0-45qdpKhBXxm3SdtVglCVLq binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-4fDOOZQtbJeCpKrsZBPANX
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-CN2grYX6BABzNqCE2X41A
    dependent-sum-0.7.1.0-JeENGSYFvyzC8OMAJPFUD8 directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-D2Qq0YeirAL7LfZ0XR5SIZ
    filepath-1.4.2.1 fingertree-0.1.4.2-6FSLA5TSx27EOiSUN83rHk
    fuzzy-0.1.0.0-GG31lnRiKkV5nEZpOXQCJK ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.3-B5iyWpZgfU9LlbmY6nG7xm
    ghc-exactprint-0.6.4-IoVgD3w1wRgjMdRfiGBy1
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    haddock-library-1.10.0-Hjbq1zm9t1x342DSoVvQ3F
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    heapsize-0.3.0.1-DNH8PIpiqZq37P31UORX4m
    hie-bios-0.7.5-6pfKfOJwuRpDJGogHIEk7z
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-9bt9po2lLNKIqYZnmjFEm0
    hls-plugin-api-1.0.0.0-7ovjYhVGBrQJ5PfcbrFMRT
    hslogger-1.3.1.0-JO3yDGNdiQgLFJ5XsIMLCQ
    implicit-hie-cradle-0.3.0.2-CiSapW1IVI77ioJd7mtahp
    lens-5-KtG5disPT0S2GVDbcUrbVF lsp-1.1.1.0-2Cc2gp2F69M9x0JPmDqxOe
    lsp-types-1.1.0.0-CLsTnLCPYTj4oubdImHkNt mtl-2.2.2
    network-uri-2.6.4.1-GU9sZmgthjQHtbqEQh8JPd
    opentelemetry-0.6.1-JrZMB79nSqEKblZMXJfmKV
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-DtB4KjvGZYqHgTO0muZVOZ
    prettyprinter-ansi-terminal-1.1.2-Hy4EGZjAxYbC1B6rAFg76o
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-IB06e41qIpxBXwbkEAfj8F
    rope-utf16-splay-0.3.2.0-F8W03J4Z5VyJErKCZFGsDA
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-2Y2X3ROwpAK2mLSvys6hwU
    shake-0.19.4-KsaJmVrZUEKD2xEgTgFDZd
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-9AvUceEWfVyHAcGxHkn1JV stm-2.5.0.0
    syb-0.7.2.1-7IivvRpEqey3Ddb4vsqX1J text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.14-LFmv7YkB8lf4qQ3EMk50DJ
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-HbayT3cnPyF1l0SwMwTqq2
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.2.0-95IX5pRBJ9d1AshkFlsixP

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

